%define upstream_name    Dist-Zilla-Plugin-FileKeywords
%define upstream_version 0.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Standard Keywords plugin
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Data::Dumper)
BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Autobox)
BuildArch:  noarch

%description
This plugin is a file_munger. It processes a list of files (by default all
files in the distribution) and replaces all occurrences of known keywords
with their expansions.

It does this is in a manner similar to how Subversion manages keywords. In
particular it looks for keywords in the forms:

  $$KEYWORD$$
  $$KEYWORD: Stuff $$
  $$KEYWORD::    Stuff $$

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc CHANGES INSTALL LICENSE META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 0.20.0-10.mga9
+ Revision: 1803271
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.20.0-9.mga8
+ Revision: 1494330
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.20.0-8.mga7
+ Revision: 1267524
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.20.0-7.mga6
+ Revision: 1026200
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.20.0-6.mga6
+ Revision: 948574
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 0.20.0-5.mga5
+ Revision: 788074
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.20.0-4.mga5
+ Revision: 745401
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 526915
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 0.20.0-1.mga4
+ Revision: 439093
- update to 0.02

* Sun Jan 13 2013 umeabot <umeabot> 0.10.0-2.mga3
+ Revision: 366146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 14 2011 jquelin <jquelin> 0.10.0-1.mga1
+ Revision: 71125
- imported package perl-Dist-Zilla-Plugin-FileKeywords


* Mon Mar 14 2011 cpan2dist 0.01-1mga
- initial mageia release, generated with cpan2dist
